/**********************************************************************

	--- Qt Architect generated file ---

	File: PrintManager.h
	Last generated: Mon May 17 10:28:01 1999

 *********************************************************************/

#ifndef PrintManager_included
#define PrintManager_included

#include <qstrlist.h>
#include "PrintManagerData.h"
#include "printsettings.h"

class PrintManager : public PrintManagerData
{
    Q_OBJECT

public:

	PrintManager(QWidget* parent = NULL, const char* name = NULL);
	virtual ~PrintManager();

	void registerHandler(PrintSettings*);
	
public slots:
	void slotWorkFileChanged(const QString&);
	void slotPrinterListChanged(const QStrList&);
	void slotPaperListChanged(const QStrList&);
	void slotPaperChanged(int);
	void slotPrinterChanged(int);
	
signals:
	void signalPrint();
	void signalPreview();
	void signalQuit();
	void signalChangeFile();
	void signalOptions();
	void signalAbout();
	
private slots:
	void slotReverseOrder(int);
	void slotBook(int);
	void slotPagesPerSheet(int);
	void slotPageSettings(int);

	void slotSignature(int);
	void slotFromPage(int);
	void slotToPage(int);
	
private:
	PrintSettings *settings;
		
};

#endif // PrintManager_included

