/***************************************************************************
                          PrinterSettingsDialog.h  -  description
                             -------------------
    begin                : Wed Dec 22 1999
    copyright            : (C) 1999 by Torsten Uhlmann
    email                : TUhlmann@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PRINTERSETTINGSDIALOG_H
#define PRINTERSETTINGSDIALOG_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qlineedit.h>
//Generated area. DO NOT EDIT!!!(end)

#include <qdialog.h>
#include "printsettings.h"

/**
  *@author Torsten Uhlmann
  */

class PrinterSettingsDialog : public QDialog  {

   Q_OBJECT

public: 
	PrinterSettingsDialog(const PrinterList &pl, QWidget *parent=0, const char *name=0);
	~PrinterSettingsDialog();

	PrinterList getPrinterList();
	
public slots:
	void slotAddPrinter();
	void slotAcceptPrinter();
	void slotClearFields();
	void slotNewPrinterSelected(int);

protected:
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QPushButton *addPrinterButton;
	QPushButton *acceptPrinterButton;
	QPushButton *clearEntryButton;
	QGroupBox *QGroupBox_1;
	QComboBox *currentPrinter;
	QGroupBox *QGroupBox_2;
	QLabel *QLabel_1;
	QLabel *QLabel_2;
	QLabel *QLabel_3;
	QLabel *QLabel_4;
	QPushButton *okButton;
	QPushButton *cancelButton;
	QLineEdit *printerName;
	QLineEdit *transformCommand;
	QLineEdit *previewCommand;
	QLineEdit *printCommand;
	//Generated area. DO NOT EDIT!!!(end)

private: 
	PrinterList _printerList;
	bool				newPrinter;
	
};

#endif
